Blame SOURCES/mrtg-2.17.4-cfgmaker-ifhighspeed.patch
|
|
e068af |
diff -up mrtg-2.17.7/bin/cfgmaker.orig mrtg-2.17.7/bin/cfgmaker
|
|
|
e068af |
--- mrtg-2.17.7/bin/cfgmaker.orig 2018-08-08 13:14:19.609048676 +0200
|
|
|
e068af |
+++ mrtg-2.17.7/bin/cfgmaker 2018-08-08 13:15:17.795102892 +0200
|
|
|
e068af |
@@ -224,7 +224,7 @@ sub InterfaceInfo($$$$$) {
|
|
|
e068af |
# maximum value (4,294,967,295) and ifHighSpeed must be used
|
|
|
e068af |
# to report the interace's speed. For a sub-layer which has
|
|
|
e068af |
# no concept of bandwidth, this object should be zero."
|
|
|
e068af |
- if ( (not defined $value) || ($value == 2**32-1) ) {
|
|
|
e068af |
+ if ( (not defined $value) || ($value == 2**32-1) || ($value == 2**32-2)) {
|
|
|
e068af |
($if, $value) = split /:/, $ifHighSpeed[$i], 2;
|
|
|
e068af |
$value = $value * 1000000; # highSpeed = contador * 10^6
|
|
|
e068af |
debug('base',"Speed: $if - $value");
|